aboutsummaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
authorAlexandru Avadanii <Alexandru.Avadanii@enea.com>2017-08-23 16:28:04 +0200
committerAlexandru Avadanii <Alexandru.Avadanii@enea.com>2017-08-23 16:28:04 +0200
commitc98e2683b290258eda15ffd1b02bcd907af47248 (patch)
tree26035dce4a1349991d8b72c2a189a0f7b1994f77 /ci/deploy.sh
parentf3f8c094a817fa0f4a60ed25185b6ca226c630d1 (diff)
ci/deploy.sh, states: bash debug, continue on err
Since we don't `set -e` in state files, applying each state will always succeed unless the last instruction in the state fails. Make this uniform by always succeeding in applying the state. While at it, enable bash debugging logs, for better readability of deploy log files. Change-Id: I3cf4886f6d73c6fd1380df1a4e1413334bec1701 Signed-off-by: Alexandru Avadanii <Alexandru.Avadanii@enea.com>
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index cf7b3b35b..f51ba5fb0 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -336,7 +336,7 @@ for state in "${cluster_states[@]}"; do
notify "STATE: ${state}\n" 2
# shellcheck disable=SC2086,2029
ssh ${SSH_OPTS} "ubuntu@${SALT_MASTER}" \
- sudo "/root/fuel/mcp/config/states/${state}"
+ sudo "/root/fuel/mcp/config/states/${state} || true"
done
popd > /dev/null